Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.stgsen

scipy.linalg.lapack.stgsen(select, a, b, q, z[, ijob, wantq, wantz, lwork, liwork, overwrite_a, overwrite_b, overwrite_q, overwrite_z]) = <fortran function stgsen>

  Wrapper for `stgsen`.

  Parameters:
    select input rank-1 array(‘i’) with bounds (n)
    a input rank-2 array(‘f’) with bounds (n,n)
    b input rank-2 array(‘f’) with bounds (n,n)
    q input rank-2 array(‘f’) with bounds (n,n)
    z input rank-2 array(‘f’) with bounds (n,n)
  Returns:
    as rank-2 array(‘f’) with bounds (n,n) and a storage
    bs rank-2 array(‘f’) with bounds (n,n) and b storage
    alphar rank-1 array(‘f’) with bounds (n)
    alphai rank-1 array(‘f’) with bounds (n)
    beta rank-1 array(‘f’) with bounds (n)
    qs rank-2 array(‘f’) with bounds (n,n) and q storage
    zs rank-2 array(‘f’) with bounds (n,n) and z storage
    m int
    pl float
    pr float
    dif rank-1 array(‘f’) with bounds (2)
    info int
  Other Parameters:
    ijob input int, optional

      Default: 4

    wantq input int, optional

      Default: 1

    wantz input int, optional

      Default: 1

    overwrite_a input int, optional

      Default: 0

    overwrite_b input int, optional

      Default: 0

    overwrite_q input int, optional

      Default: 0

    overwrite_z input int, optional

      Default: 0

    lwork input int, optional

      Default: 4*n+16

    liwork input int, optional

      Default: n+6